Package net.commoble.exmachina.api

# Class ExMachinaRegistries

java.lang.Object
net.commoble.exmachina.api.ExMachinaRegistries

public final class ExMachinaRegistries extends Object
Registry ResourceKeys for Ex Machina's static registries

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<CircuitComponent>>`
`CIRCUIT_COMPONENT`
Registry key of the datapack Registry for CircuitComponents.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends Connector>>>`
`CONNECTOR_TYPE`
Registry key of the static Registry for Connector MapCodecs.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends DynamicProperty>>>`
`DYNAMIC_PROPERTY_TYPE`
Registry key of the static Registry for DynamicProperty MapCodecs.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalReceiver>>>`
`SIGNAL_RECEIVER_TYPE`
Registry key of the static Registry for SignalReceiver MapCodecs.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalSource>>>`
`SIGNAL_SOURCE_TYPE`
Registry key of the static Registry for SignalSource MapCodecs.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalTransmitter>>>`
`SIGNAL_TRANSMITTER_TYPE`
Registry key of the static Registry for SignalTransmitter MapCodecs.
`static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends StaticProperty>>>`
`STATIC_PROPERTY_TYPE`
Registry key of the static Registry for StaticProperty MapCodecs.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONNECTOR_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends Connector>>> CONNECTOR_TYPE
Registry key of the static Registry for Connector MapCodecs. Connectors are used for defining how blocks can connect to each other in power graphs.

### STATIC_PROPERTY_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends StaticProperty>>> STATIC_PROPERTY_TYPE
Registry key of the static Registry for StaticProperty MapCodecs. Static Properties are used for assigning voltage/resistance to blockstates in the power graph.

### DYNAMIC_PROPERTY_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends DynamicProperty>>> DYNAMIC_PROPERTY_TYPE
Registry key of the static Registry for DynamicProperty MapCodecs. Dynamic Properties are used for providing dynamic voltage/resistance to the power graph (e.g. from blockentity data)

### SIGNAL_SOURCE_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalSource>>> SIGNAL_SOURCE_TYPE
Registry key of the static Registry for SignalSource MapCodecs. SignalSources are signal graph components assigned to blocks via datamap which can provide power to the signal graph when adjacent to it.

### SIGNAL_TRANSMITTER_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalTransmitter>>> SIGNAL_TRANSMITTER_TYPE
Registry key of the static Registry for SignalTransmitter MapCodecs. SignalTransmitters are signal graph components assigned to blocks via datamap which form the unique internal nodes of the graph.

### SIGNAL_RECEIVER_TYPE

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<com.mojang.serialization.MapCodec<? extends SignalReceiver>>> SIGNAL_RECEIVER_TYPE
Registry key of the static Registry for SignalReceiver MapCodecs. SignalReceivers are signal graph components assigned to blocks via datamap which can listen to graph updates in adjacent graphs.

### CIRCUIT_COMPONENT

public static final net.minecraft.resources.ResourceKey<net.minecraft.core.Registry<CircuitComponent>> CIRCUIT_COMPONENT
Registry key of the datapack Registry for CircuitComponents. CircuitComponents form nodes of the power graph and are assigned to blocks which share an id with them.